PrivyPrivy
Sign in
  • Documentation
Back to Documentation
B2B Telco APIs
OverviewChangelog
Phone Active
Phone Match
    v1
    v2
      Phone Match v2QuickstartEnvironmentsAuthenticationRequest FieldsMatch ResultsErrors
    v3
Phone Location Verification
Phone Income Score
API Explorer
powered by Zudoku
Sign in
v2

Quickstart

Send a JSON request to POST /api/v2/phone/match using credentials provisioned by Privy.

Basic Authentication

TerminalCode
curl --request POST \ --url https://stg-b2b-api.privy.id/api/v2/phone/match \ --header 'Authorization: Basic <BASE64_USERNAME_PASSWORD>' \ --header 'Content-Type: application/json' \ --header 'Merchant-Key: <MERCHANT_KEY>' \ --data '{ "transaction_id": "match-v2-001", "nik": "3173050101900001", "msisdn": "628551234567", "channel": "web" }'

Bearer HMAC Authentication

TerminalCode
curl --request POST \ --url https://stg-b2b-api.privy.id/api/v2/phone/match \ --header 'Authorization: Bearer <ACCESS_TOKEN>' \ --header 'Timestamp: <TIMESTAMP>' \ --header 'Signature: <SIGNATURE>' \ --header 'Content-Type: application/json' \ --data '{ "transaction_id": "match-v2-001", "nik": "3173050101900001", "msisdn": "628551234567", "channel": "web" }'

The submitted msisdn must belong to Indosat Ooredoo Hutchison.

Last modified on October 23, 2026
Phone Match v2Environments
On this page
  • Basic Authentication
  • Bearer HMAC Authentication